Index: /trunk/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traadv.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/traadv.F90	(revision 789)
@@ -14,5 +14,4 @@
    USE dom_oce         ! ocean space and time domain
    USE traadv_cen2     ! 2nd order centered scheme (tra_adv_cen2   routine)
-   USE traadv_cen2_jki ! 2nd order centered scheme (tra_adv_cen2   routine)
    USE traadv_tvd      ! TVD      scheme           (tra_adv_tvd    routine)
    USE traadv_muscl    ! MUSCL    scheme           (tra_adv_muscl  routine)
@@ -88,6 +87,5 @@
 
       SELECT CASE ( nadv )                           ! compute advection trend and add it to general trend
-      CASE ( 0 )   ;   CALL tra_adv_cen2    ( kt, zun, zvn, zwn )    ! 2nd order centered scheme k-j-i loops
-      CASE ( 1 )   ;   CALL tra_adv_cen2_jki( kt, zun, zvn, zwn )    ! 2nd order centered scheme
+      CASE ( 1 )   ;   CALL tra_adv_cen2    ( kt, zun, zvn, zwn )    ! 2nd order centered scheme
       CASE ( 2 )   ;   CALL tra_adv_tvd     ( kt, zun, zvn, zwn )    ! TVD      scheme
       CASE ( 3 )   ;   CALL tra_adv_muscl   ( kt, zun, zvn, zwn )    ! MUSCL    scheme
@@ -99,7 +97,4 @@
                        CALL tra_adv_cen2    ( kt, zun, zvn, zwn )
                        CALL prt_ctl( tab3d_1=ta, clinfo1=' adv0 - Ta: ', mask1=tmask,               &
-            &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-                       CALL tra_adv_cen2_jki( kt, zun, zvn, zwn )
-                       CALL prt_ctl( tab3d_1=ta, clinfo1=' adv1 - Ta: ', mask1=tmask,               &
             &                        tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
                        CALL tra_adv_tvd     ( kt, zun, zvn, zwn )
@@ -171,8 +166,5 @@
 
       !                              ! Set nadv
-      IF( ln_traadv_cen2   )   nadv =  0
-#if defined key_mpp_omp
       IF( ln_traadv_cen2   )   nadv =  1
-#endif
       IF( ln_traadv_tvd    )   nadv =  2
       IF( ln_traadv_muscl  )   nadv =  3
@@ -184,12 +176,10 @@
       IF(lwp) THEN                   ! Print the choice
          WRITE(numout,*)
-         IF( nadv ==  0 )   WRITE(numout,*) '         2nd order scheme is used'
-         IF( nadv ==  1 )   WRITE(numout,*) '         2nd order scheme is usedi, k-j-i case'
+         IF( nadv ==  1 )   WRITE(numout,*) '         2nd order scheme is used'
          IF( nadv ==  2 )   WRITE(numout,*) '         TVD       scheme is used'
          IF( nadv ==  3 )   WRITE(numout,*) '         MUSCL     scheme is used'
          IF( nadv ==  4 )   WRITE(numout,*) '         MUSCL2    scheme is used'
          IF( nadv ==  5 )   WRITE(numout,*) '         UBS       scheme is used'
-         IF( nadv ==  6 )   WRITE(numout,*) '         PPM       scheme is used'
-         IF( nadv ==  7 )   WRITE(numout,*) '         QUICKEST  scheme is used'
+         IF( nadv ==  6 )   WRITE(numout,*) '         QUICKEST  scheme is used'
          IF( nadv == -1 )   WRITE(numout,*) '         esopa test: use all advection scheme'
       ENDIF
Index: /trunk/NEMO/OPA_SRC/TRA/traadv_cen2.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 789)
@@ -13,5 +13,4 @@
    !!   tra_adv_cen2 : update the tracer trend with the horizontal and
    !!                  vertical advection trends using a seconder order
-   !!                  centered scheme. (k-j-i loops)
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and active tracers
Index: /trunk/NEMO/OPA_SRC/TRA/traadv_qck.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 789)
@@ -52,9 +52,4 @@
 
 CONTAINS
-
-#if ! defined key_mpp_omp
-   !!----------------------------------------------------------------------
-   !!   Default option :             quickest advection scheme (k-j-i loop)
-   !!----------------------------------------------------------------------
 
    SUBROUTINE tra_adv_qck( kt, pun, pvn, pwn )
@@ -581,26 +576,4 @@
    END FUNCTION
 
-#else
-   !!----------------------------------------------------------------------
-   !!   'key_mpp_omp' :      quickest advection (k- and j-slabs)
-   !!----------------------------------------------------------------------
-   SUBROUTINE tra_adv_qck( kt, pun, pvn, pwn  )
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt             ! ocean time-step index
-      REAL(wp), INTENT(in), DIMENSION(jpi,jpj,jpk) ::  pun   ! effective ocean velocity, u_component
-      REAL(wp), INTENT(in), DIMENSION(jpi,jpj,jpk) ::  pvn   ! effective ocean velocity, v_component
-      REAL(wp), INTENT(in), DIMENSION(jpi,jpj,jpk) ::  pwn   ! effective ocean velocity, w_component
-      !!----------------------------------------------------------------------  
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'tra_adv_ qck:3st order quickest advection scheme' 
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~   Vector optimization case'
-         IF(lwp) WRITE(numout,*) 'WITH AUTOTASKING =>this routine doesn t exist for the moment'
-	 IF(lwp) WRITE(numout,*) ' EMPTY ROUTINE!!!!!!'      
-
-   END SUBROUTINE tra_adv_qck
-
-#endif
-
    !!======================================================================
 END MODULE traadv_qck
Index: /trunk/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 789)
@@ -75,5 +75,5 @@
       INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
       !!
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
       INTEGER ::   ji       ! dummy loop indices
 #else
@@ -95,5 +95,5 @@
       !
       CASE ( 1:2 )                !  geothermal heat flux
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
          DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
             zqgh_trd = ro0cpr * qgh_trd0(ji,1) / fse3t(ji,1,nbotlevt(ji,1) )
Index: /trunk/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 789)
@@ -154,5 +154,5 @@
       ! -----------------------------------------------------------------
       ! mbathy= number of w-level, minimum value=1 (cf dommsk.F)
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -167,5 +167,5 @@
             zsbb(ji,jj) = sb(ji,jj,ik) * tmask(ji,jj,1)
             zdep(ji,jj) = fsdept(ji,jj,ik)                ! depth of the ocean bottom T-level
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -173,5 +173,5 @@
 
       IF( ln_zps ) THEN      ! partial steps correction 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -188,10 +188,10 @@
                zahu(ji,jj) = atrbbl * e2u(ji,jj) * ze3u / e1u(ji,jj) * umask(ji,jj,1)
                zahv(ji,jj) = atrbbl * e1v(ji,jj) * ze3v / e2v(ji,jj) * vmask(ji,jj,1)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif
          END DO
       ELSE                    ! z-coordinate - full steps or s-coordinate
-#   if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#   if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -204,5 +204,5 @@
                zahu(ji,jj) = atrbbl * e2u(ji,jj) * fse3u(ji,jj,iku) / e1u(ji,jj) * umask(ji,jj,1)
                zahv(ji,jj) = atrbbl * e1v(ji,jj) * fse3v(ji,jj,ikv) / e2v(ji,jj) * vmask(ji,jj,1)
-#   if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#   if ! defined key_vectopt_loop
             END DO
 #   endif
@@ -219,5 +219,5 @@
       CASE ( 0 )                 ! Jackett and McDougall (1994) formulation
 
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -238,10 +238,10 @@
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if ! defined key_vectopt_loop
+         END DO
+#  endif
+      END DO
+
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -262,5 +262,5 @@
             zsign = sign( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -269,5 +269,5 @@
       CASE ( 1 )               ! Linear formulation function of temperature only
                                ! 
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -281,10 +281,10 @@
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if ! defined key_vectopt_loop
+         END DO
+#  endif
+      END DO
+
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -298,5 +298,5 @@
             zsign = sign( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -305,5 +305,5 @@
       CASE ( 2 )               ! Linear formulation function of temperature and salinity
 
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -318,10 +318,10 @@
             zsign = SIGN( 0.5, - zgdrho * ( zdep(ji+1,jj) - zdep(ji,jj) ) )
             zki(ji,jj) = ( 0.5 - zsign ) * zahu(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
-         END DO
-#  endif
-      END DO
-
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if ! defined key_vectopt_loop
+         END DO
+#  endif
+      END DO
+
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -336,5 +336,5 @@
             zsign = sign( 0.5, -zgdrho * ( zdep(ji,jj+1) - zdep(ji,jj) ) )
             zkj(ji,jj) = ( 0.5 - zsign ) * zahv(ji,jj)
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -352,5 +352,5 @@
 
       ! first derivative (gradient)
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -364,5 +364,5 @@
             zky(ji,jj) = zkj(ji,jj) * ( ztbb(ji,jj+1) - ztbb(ji,jj) )
             zkw(ji,jj) = zkj(ji,jj) * ( zsbb(ji,jj+1) - zsbb(ji,jj) )
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
@@ -402,5 +402,5 @@
 
       ! second derivative (divergence) and add to the general tracer trend
-#  if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#  if defined key_vectopt_loop
       jj = 1
       DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -417,5 +417,5 @@
             ta(ji,jj,ik) = ta(ji,jj,ik) + zta
             sa(ji,jj,ik) = sa(ji,jj,ik) + zsa
-#  if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#  if ! defined key_vectopt_loop
          END DO
 #  endif
Index: /trunk/NEMO/OPA_SRC/TRA/trabbl_adv.h90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trabbl_adv.h90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/trabbl_adv.h90	(revision 789)
@@ -99,5 +99,5 @@
       ! mbathy= number of w-level, minimum value=1 (cf dommsk.F)
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -115,5 +115,5 @@
             zunb(ji,jj) = un(ji,jj,mbku(ji,jj)) 
             zvnb(ji,jj) = vn(ji,jj,mbkv(ji,jj)) 
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
          END DO
 #endif
@@ -229,5 +229,5 @@
       IF( ln_zps ) THEN     ! partial steps correction   
       
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -249,5 +249,5 @@
                   v_bbl(ji,jj,ikv) = zalphay(ji,jj) * vn(ji,jj,ikv) * ze3v / fse3v(ji,jj,ikv)       
                ENDIF
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif
@@ -259,5 +259,5 @@
       ELSE       ! if not partial step loop over the whole domain no lbc call
 
-#if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij   ! vector opt. (forced unrolling)
@@ -272,5 +272,5 @@
                   v_bbl(ji,jj,ikv) = zalphay(ji,jj) * vn(ji,jj,ikv)       
                ENDIF
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
             END DO
 #endif
@@ -284,5 +284,5 @@
       ! ... Second order centered tracer flux at u and v-points
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -309,9 +309,9 @@
             zwz(ji,jj) = ( ( zfvj + ABS( zfvj ) ) * zsbb(ji  ,jj  )   &
                &          +( zfvj - ABS( zfvj ) ) * zsbb(ji  ,jj+1) ) * 0.5
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
          END DO
 #endif
         END DO
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -331,5 +331,5 @@
             ta(ji,jj,ik) = ta(ji,jj,ik) + zta
             sa(ji,jj,ik) = sa(ji,jj,ik) + zsa
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
          END DO
 #endif
@@ -365,5 +365,5 @@
       IF( ln_zps ) THEN
 	  
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -383,5 +383,5 @@
                zwu(ji,jj) = zalphax(ji,jj) * e2u(ji,jj) * ze3u  
                zwv(ji,jj) = zalphay(ji,jj) * e1v(ji,jj) * ze3v
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
             END DO
 #endif
@@ -390,5 +390,5 @@
       ELSE
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolling)
@@ -401,5 +401,5 @@
                zwu(ji,jj) = zalphax(ji,jj) * e2u(ji,jj) * fse3u(ji,jj,iku) 
                zwv(ji,jj) = zalphay(ji,jj) * e1v(ji,jj) * fse3v(ji,jj,ikv) 
-#if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+#if ! defined key_vectopt_loop
             END DO
 #endif
@@ -409,5 +409,5 @@
  
 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
       jj = 1
       DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -425,5 +425,5 @@
                &   ) / zbt
 
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
Index: /trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 789)
@@ -18,5 +18,4 @@
    !!                  and with the vertical part of
    !!                  the isopycnal or geopotential s-coord. operator 
-   !!                  vector optimization, use k-j-i loops.
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and active tracers
@@ -151,5 +150,4 @@
       
 !CDIR PARALLEL DO PRIVATE( zdk1t, zdk1s, zftu, zfsu ) 
-!$OMP PARALLEL DO PRIVATE( zdk1t, zdk1s, zftu, zfsu )
       !                                                ! ===============
       DO jk = 1, jpkm1                                 ! Horizontal slab
Index: /trunk/NEMO/OPA_SRC/TRA/trazdf.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 789)
@@ -17,5 +17,4 @@
    USE trazdf_exp      ! vertical diffusion: explicit (tra_zdf_exp     routine)
    USE trazdf_imp      ! vertical diffusion: implicit (tra_zdf_imp     routine)
-   USE trazdf_imp_jki  ! vertical diffusion  implicit (tra_zdf_imp_jki routine)
 
    USE ldftra_oce      ! ocean active tracers: lateral physics
@@ -90,7 +89,4 @@
          CALL prt_ctl( tab3d_1=ta, clinfo1=' zdf1 - Ta: ', mask1=tmask,               &
             &          tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
-         CALL tra_zdf_imp_jki( kt, r2dt )
-         CALL prt_ctl( tab3d_1=ta, clinfo1=' zdf2 - Ta: ', mask1=tmask,               &
-            &          tab3d_2=sa, clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
 
       CASE ( 0 )                                       ! explicit scheme
@@ -102,16 +98,6 @@
          ENDIF
 
-      CASE ( 1 )                                       ! implicit scheme (k-j-i loop)
+      CASE ( 1 )                                       ! implicit scheme 
          CALL tra_zdf_imp    ( kt, r2dt )
-         IF( l_trdtra )   THEN                         ! save the vertical diffusive trends for further diagnostics
-            DO jk = 1, jpkm1
-               ztrdt(:,:,jk) = ( ( ta(:,:,jk) - tb(:,:,jk) ) / r2dt(jk) ) - ztrdt(:,:,jk)
-               ztrds(:,:,jk) = ( ( sa(:,:,jk) - sb(:,:,jk) ) / r2dt(jk) ) - ztrds(:,:,jk)
-            END DO
-            CALL trd_mod( ztrdt, ztrds, jptra_trd_zdf, 'TRA', kt )
-         ENDIF
-
-      CASE ( 2 )                                       ! implicit scheme (j-k-i loop)
-         CALL tra_zdf_imp_jki( kt, r2dt )
          IF( l_trdtra )   THEN                         ! save the vertical diffusive trends for further diagnostics
             DO jk = 1, jpkm1
@@ -137,9 +123,7 @@
       !! ** Purpose :   Choose the vertical mixing scheme
       !!
-      !! ** Method  :   Set nzdf from ln_zdfexp and 'key_mpp_omp'.
+      !! ** Method  :   Set nzdf from ln_zdfexp
       !!      nzdf = 0   explicit (time-splitting) scheme (ln_zdfexp=T)
       !!           = 1   implicit (euler backward) scheme (ln_zdfexp=F)
-      !!           = 2   implicit (euler backward) scheme with j-k-i loops
-      !!                 (ln_zdfexp=T and 'key_mpp_omp')
       !!      NB: rotation of lateral mixing operator or TKE or KPP scheme,
       !!      the implicit scheme is required.
@@ -169,9 +153,4 @@
       ENDIF
 
-      ! NEC autotasking / OpenMP
-#if defined key_mpp_omp
-      IF( nzdf == 1 )   nzdf = 2                       ! j-k-i loop
-#endif
-
       ! Test: esopa
       IF( lk_esopa )    nzdf = -1                      ! All schemes used
@@ -184,5 +163,4 @@
          IF( nzdf ==  0 )   WRITE(numout,*) '              Explicit time-splitting scheme'
          IF( nzdf ==  1 )   WRITE(numout,*) '              Implicit (euler backward) scheme'
-         IF( nzdf ==  2 )   WRITE(numout,*) '              Implicit (euler backward) scheme with j-k-i loops'
       ENDIF
 
Index: /trunk/NEMO/OPA_SRC/TRA/trazdf_exp.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 789)
@@ -85,5 +85,5 @@
       IF( kt == nit000 ) THEN
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'tra_zdf_exp : explicit vertical mixing (j-k-i loops)'
+         IF(lwp) WRITE(numout,*) 'tra_zdf_exp : explicit vertical mixing'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~'
       ENDIF
Index: /trunk/NEMO/OPA_SRC/TRA/trazdf_imp.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 789)
@@ -17,5 +17,4 @@
    !!   tra_zdf_imp : Update the tracer trend with the diagonal vertical  
    !!                 part of the mixing tensor.
-   !!                 Vector optimization, use k-j-i loops.
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -106,5 +105,5 @@
       IF( kt == nit000 ) THEN
          IF(lwp)WRITE(numout,*)
-         IF(lwp)WRITE(numout,*) 'tra_zdf_imp : implicit vertical mixing (k-j-i loops)'
+         IF(lwp)WRITE(numout,*) 'tra_zdf_imp : implicit vertical mixing'
          IF(lwp)WRITE(numout,*) '~~~~~~~~~~~ '
          zavi = 0.e0      ! avoid warning at compilation phase when lk_ldfslp=F
Index: /trunk/NEMO/OPA_SRC/TRA/zpshde.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 789)
@@ -130,5 +130,5 @@
 
       ! Interpolation of T and S at the last ocean level
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolled)
@@ -193,5 +193,5 @@
                pgsv(ji,jj) = vmask(ji,jj,1) * ( psal(ji,jj+1,ikv) - zsj(ji,jj) )
             ENDIF
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
@@ -205,5 +205,5 @@
 
       ! Gradient of density at the last level 
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = 1, jpij-jpi   ! vector opt. (forced unrolled)
@@ -226,5 +226,5 @@
                pgrv(ji,jj) = vmask(ji,jj,1) * ( prd(ji,jj+1,ikv) - zrj(ji,jj) )
             ENDIF
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
          END DO
 # endif
Index: /trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 789)
@@ -80,5 +80,5 @@
 
       CASE( 0 )                 ! no-slip boundary condition
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -93,5 +93,5 @@
                avmu(ji,jj,ikbu) = 2. * avmu(ji,jj,ikbum1)
                avmv(ji,jj,ikbv) = 2. * avmv(ji,jj,ikbvm1)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif
@@ -99,5 +99,5 @@
 
       CASE( 1 )                 ! linear botton friction
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -110,5 +110,5 @@
                avmu(ji,jj,ikbu) = bfri1 * fse3uw(ji,jj,ikbu)
                avmv(ji,jj,ikbv) = bfri1 * fse3vw(ji,jj,ikbv)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif
@@ -116,5 +116,5 @@
 
       CASE( 2 )                 ! quadratic botton friction
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
 !CDIR NOVERRCHK
@@ -142,5 +142,5 @@
                avmu(ji,jj,ikbu) = bfri2 * zecu * fse3uw(ji,jj,ikbu)
                avmv(ji,jj,ikbv) = bfri2 * zecv * fse3vw(ji,jj,ikbv)
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif
@@ -148,5 +148,5 @@
 
       CASE( 3 )                 ! free-slip boundary condition
-# if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+# if defined key_vectopt_loop
          jj = 1
          DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
@@ -159,5 +159,5 @@
                avmu(ji,jj,ikbu) = 0.e0
                avmv(ji,jj,ikbv) = 0.e0
-# if ! defined key_vectopt_loop   ||   defined key_mpp_omp
+# if ! defined key_vectopt_loop
             END DO
 # endif
Index: /trunk/NEMO/OPA_SRC/ZDF/zdfevd.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/ZDF/zdfevd.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/ZDF/zdfevd.F90	(revision 789)
@@ -79,5 +79,5 @@
          DO jk = 1, jpkm1                                 ! Horizontal slab
             !                                             ! ===============
-#   if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#   if defined key_vectopt_loop
 !!!         WHERE( rn2(:,:,jk) <= -1.e-12 ) avt(:,:,jk) = tmask(:,:,jk) * avevd   ! agissant sur T SEUL!
             jj = 1                     ! big loop forced
@@ -129,5 +129,5 @@
             !                                             ! ===============
 !!!         WHERE( rn2(:,:,jk) <= -1.e-12 ) avt(:,:,jk) = tmask(:,:,jk) * avevd   ! agissant sur T SEUL! 
-#   if defined key_vectopt_loop   &&   ! defined key_mpp_omp
+#   if defined key_vectopt_loop
             jj = 1                     ! big loop forced
             DO ji = 1, jpij   
Index: /trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 789)
@@ -44,101 +44,4 @@
 
 CONTAINS
-
-# if defined key_mpp_omp
-   !!----------------------------------------------------------------------
-   !!   'key_mpp_omp'                                   j-k-i loop (j-slab)
-   !!----------------------------------------------------------------------
-
-   SUBROUTINE zdf_mxl( kt )
-      !!----------------------------------------------------------------------
-      !!                    ***  ROUTINE zdfmxl  ***
-      !!                   
-      !! ** Purpose :   Compute the turbocline depth and the mixed layer depth
-      !!      with a density criteria.
-      !!
-      !! ** Method  :   The turbocline depth is the depth at which the vertical 
-      !!      eddy diffusivity coefficient (resulting from the vertical physics
-      !!      alone, not the isopycnal part, see trazdf.F) fall below a given
-      !!      value defined locally (avt_c here taken equal to 5 cm/s2)
-      !!
-      !! ** Action  :
-      !!
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt         ! ocean time-step index
-
-      !! * Local declarations
-      INTEGER ::   ji, jj, jk     ! dummy loop indices
-      INTEGER ::   ik             ! temporary integer
-      INTEGER, DIMENSION(jpi,jpj) ::   &
-         imld                     ! temporary workspace
-      !!----------------------------------------------------------------------
-
-      IF( kt == nit000 ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'zdf_mxl : mixed layer depth, j-k-i loops'
-         IF(lwp) WRITE(numout,*) '~~~~~~~'
-      ENDIF
-
-      !                                                ! ===============
-      DO jj = 1, jpj                                   !  Vertical slab
-         !                                             ! ===============
-
-         ! 1. Turbocline depth
-         ! -------------------
-         ! last w-level at which avt<avt_c (starting from the bottom jk=jpk)
-         ! (since avt(.,.,jpk)=0, we have jpk=< imld =< 2 )
-         DO jk = jpk, 2, -1
-            DO ji = 1, jpi
-               IF( avt(ji,jj,jk) < avt_c ) imld(ji,jj) = jk 
-            END DO
-         END DO
-
-         ! Turbocline depth and sub-turbocline temperature
-         DO ji = 1, jpi
-            ik = imld(ji,jj)
-            hmld (ji,jj) = fsdepw(ji,jj,ik) * tmask(ji,jj,1)
-         END DO
-
-!!gm idea
-!!   
-!!gm     DO jk = jpk, 2, -1
-!!gm        DO ji = 1, jpi
-!!gm           IF( avt(ji,jj,jk) < avt_c ) hmld(ji,jj) = fsdepw(ji,jj,jk) * tmask(ji,jj,1)
-!!gm        END DO
-!!gm     END DO
-!!gm
-
-         ! 2. Mixed layer depth
-         ! --------------------
-         ! Initialization to the number of w ocean point mbathy
-         nmln(:,jj) = mbathy(:,jj)
-
-         ! Last w-level at which rhop>=rho surf+rho_c (starting from jpk-1)
-         ! (rhop defined at t-point, thus jk-1 for w-level just above)
-         DO jk = jpkm1, 2, -1
-            DO ji = 1, jpi
-               IF( rhop(ji,jj,jk) > rhop(ji,jj,1) + rho_c )   nmln(ji,jj) = jk
-            END DO
-         END DO
-
-         ! Mixed layer depth
-         DO ji = 1, jpi
-            ik = nmln(ji,jj)
-            hmlp (ji,jj) = fsdepw(ji,jj,ik) * tmask(ji,jj,1)
-            hmlpt(ji,jj) = fsdept(ji,jj,ik-1)
-         END DO
-         !                                             ! ===============
-      END DO                                           !   End of slab
-      !                                                ! ===============
-
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmld, clinfo2=' hmld : ', ovlap=1 )
-
-   END SUBROUTINE zdf_mxl
-
-# else
-   !!----------------------------------------------------------------------
-   !!   Default option :                                         k-j-i loop
-   !!----------------------------------------------------------------------
 
    SUBROUTINE zdf_mxl( kt )
@@ -237,5 +140,4 @@
 
    END SUBROUTINE zdf_mxl
-#endif
 
    !!======================================================================
Index: /trunk/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 788)
+++ /trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 789)
@@ -43,6 +43,4 @@
 
    PUBLIC   zdf_tke        ! routine called in step module
-   PUBLIC   zdf_tke_init   ! routine also called in zdftke_jki module
-   PUBLIC   tke_rst        ! routine also called in zdftke_jki module
 
    LOGICAL , PUBLIC, PARAMETER              ::   lk_zdftke = .TRUE.  !: TKE vertical mixing flag
